Loading...
Searching...
No Matches
caf::detail::squashed_int< T > Struct Template Reference

Squashes integer types into [u]int_[8|16|32|64]_t equivalents. More...

`#include <squashed_int.hpp>`

## Public Types

using | tpair = typename detail::tl_at<int_types_by_size, sizeof(T)>::type
using | type

## Detailed Description

template<class T>
struct caf::detail::squashed_int< T >

Squashes integer types into [u]int_[8|16|32|64]_t equivalents.

## Member Typedef Documentation

## type

template<class T>

using caf::detail::squashed_int< T >::type

Initial value:
typename std::conditional<
std::is_signed<T>::value,
typename tpair::first,
typename tpair::second
>::type

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/squashed_int.hpp